%define short_name commons-validator

Name: jakarta-%short_name
Version: 1.1.4
Release: alt1
Summary: Jakarta Commons Validator
License: Apache Software License
Group: Development/Java
Source0: %short_name-%version-src.tar.bz2
Source1: %short_name-%version-conf.tar.bz2
Source2: %name.catalog
Url: http://jakarta.apache.org/commons/validator/

BuildPreReq: /proc rpm-build-java
BuildRequires: ant jakarta-commons-beanutils jakarta-commons-collections 
BuildRequires: jakarta-commons-digester jakarta-commons-logging jakarta-oro
BuildRequires: junit xml-commons-apis jakarta-commons-beanutils
Requires: jakarta-commons-collections jakarta-commons-digester jakarta-commons-logging
Requires: jakarta-oro xml-commons-apis java-common
BuildArch: noarch

%description
A common issue when receiving data either electronically or from user
input is verifying the integrity of the data. This work is repetitive
and becomes even more complicated when different sets of validation
rules need to be applied to the same set of data based on locale for
example. Error messages may also vary by locale. This package attempts
to address some of these issues and speed development and maintenance
of validation rules.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %short_name-%version
# Yay!  No external jars in the source package, way to go...
%__tar xjf %SOURCE1
%__cp -p %SOURCE2 conf/share/catalog

find . -name "*.jar" -exec rm -f {} \;

# -----------------------------------------------------------------------------

%build
%set_classpath %_javadir/xml-commons-apis.jar
%add_classpath %_javadir/jakarta-oro.jar
%add_classpath %_javadir/junit.jar
%add_classpath %_javadir/jakarta-commons-logging.jar
%add_classpath %_javadir/jakarta-commons-digester.jar
%add_classpath %_javadir/jakarta-commons-beanutils.jar
%add_classpath %_javadir/jakarta-commons-collections.jar

%ant_build -Dbuild.sysclasspath=first test dist

# -----------------------------------------------------------------------------

%install
# jars
%__mkdir_p %buildroot%_javadir
%__cp -p dist/%short_name.jar %buildroot%_javadir/%name.jar

# dtds and catalog
%__mkdir_p %buildroot%_datadir/sgml/%name
%__cp -p conf/share/{*.dtd,catalog} %buildroot%_datadir/sgml/%name

# javadoc
%__mkdir_p %buildroot%_javadocdir/%name
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

# -----------------------------------------------------------------------------

%files
%doc *.txt *.html *.readme
%_javadir/*
%_datadir/sgml/%name

%files javadoc
%_javadocdir/%name

# -----------------------------------------------------------------------------

%changelog
* Tue Apr 05 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Wed Mar 30 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1.3-alt0.1
- Initial build for ALT Linux Sisyphus

